






#define SOFTWARENUMMER_MASTER	"M 002"


/************************************
*	Variablendefinition				*
*									*
* unsigned char i;		=> 8 Bit	*
* int i;				=> 16 Bit	*
* long i;				=> 32 Bit	*
************************************/



// Globale Variablen (mu laut Compiler Doku Seite 67) mit "volatile" deklariert werden
// sonst geht z.B. der Zugriff  schief, wenn z.B. im Iinterrupt-Handler auf die Variablen zugegriffen wird


	// Merker
volatile unsigned char ucSBUF_merker;				// Merker, da Werte im Displaybuffer sind
volatile unsigned char ucFenster_merker;			// Merker, welches Fenster gerade offen ist
//volatile unsigned char ucBef_zaehler;				// Zhler fr Rolladenbefehle
volatile unsigned char ucRX_complete_merker;		// Merker, da Daten im RS485-Empfangspuffer ist
volatile unsigned char ucADC_status;				// Merker, da AD-Wandlung fertig ist
volatile unsigned char uc_1msek_status;			// Merker fr 1ms-Interrupt
volatile unsigned char uc_AS_status;				// Merker fr Ablaufsteuerung

//volatile unsigned char ucOwn_ID;					// eigene ID
//volatile unsigned char ucOwn_adress_main;			// eigene Haupt-Adresse
//volatile unsigned char ucOwn_adress;				// eigene Unter-Adresse
	


// ------------   Konstanten   ---------------------------
	// Timeout beim Warten auf die Slave-Antwort
#define TIMEOUT_RS485_ANSWER		100	// 20 ms

	// Ausschaltzeit des Displays (1 Sekunde mehr verwenden, da die Abfrage auf "1" gemacht wird)

#define LIGHTTIME_1MIN				61		// 60 Sekunden
#define LIGHTTIME_3MIN				181		// 180 Sekunden

#define LIGHTTIME					1000	// Einschaltzeit Beleuchtung in ms



	// EEPROM-Datentyp
//#define CHAR_DATA					0x01	// Character (8 Bit)
//#define INT_DATA					0x02	// Integer (16 Bit)

	// Status beim EEPROM beschreiben (im Interrupt)
//#define EEP_SCHREIBE_HIGHBYTE		0x01
//#define EEP_SCHREIBE_LOWBYTE		0x02
//#define EEP_SCHREIBEN_FERTIG		0x03

	// Status des 1ms-Interrupts
#define _1MS_WARTEN					0x00
#define _1MS_FERTIG					0xFF

	// Status der AD-Wandlung
#define ADC_WANDLUNG				0x00
#define ADC_FERTIG					0xFF

	// Status des Rx_Status (RS485)
#define RX_EMFANGSBEREIT			0x01
#define RX_AUFZEICHNEN				0x02
#define RX_AUFZEICHNUNG_FERTIG		0x03
#define RX_AUSWERTEN				0x04

	// Status der Ablaufsteuerung
#define AS_NO_TASK					0x00
#define AS_BEFEHL_SENDEN			0x01
#define AS_ACK_ABWARTEN				0x02
#define AS_DISPLAYINFO_AUSGEBEN		0x03


	// Status der SPI-bertragung
#define SPI_UNUSED					0x01
#define SPI_BEFEHL_SENDEN			0x02
#define SPI_ACK_EMPFANGEN			0x03
#define SPI_ACK_SPEICHERN			0x04
#define SPI_DATEN_EMPFANGEN			0x05



	// Rckantwort von Display nach dem Senden eines Befehls
#define NO_ANSWER			0x00	// noch keine Antwort

	// Angabe, ob nach Befehl ACK oder NAK kommt
#define ANSWER_ACK			0x01	// nur ACK
//#define ANSWER_ACK_DATA		0x02	// ACK und Daten


// Definitionen fr Display und Kommunikation

#define DUMMY			0x00


// Befehle
#define AUS				0x00
#define EIN				0x01


#define NEIN			0x00
#define JA				0x01

#define AUF				0x00
#define AB				0x01


